Bug 107671 - cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2003-10-21 17:43 EDT by Dave Maley
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-24 10:24:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Maley 2003-10-21 17:43:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031014

Description of problem:
When using cdrecord as a normal user I see the following warning messages:

> cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
> cdrecord: Permission denied. WARNING: Cannot set priority using setpriority().
> cdrecord: WARNING: This causes a high risk for buffer underruns.

I changed /usr/bin/cdrecord to suid root, as suggested in the man page:

     chown root /usr/bin/cdrecord
     chmod 4711 /usr/bin/cdrecord

... however this didn't help.

There don't seem to be any actually problems burning CD's as a normal user, just
the warning messages.  

These warnings are not present when using cdrecord as the root user.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. as normal user: cdrecord -v -dao -pad -eject <image.iso>

Actual Results:  CD burned fine, but warning messages are displayed

Expected Results:  no warnings

Additional info:
Comment 1 Harald Hoyer 2003-10-24 10:24:14 EDT
just warnings that it cannot get into the realtime scheduler... please report
this upstream to the author of cdrecord

Note You need to log in before you can comment on or make changes to this bug.